<div *ngIf="product" class="card product-preview">
  <img src="/assets/product.jpg" class="card-img-top" alt="...">
  <div class="card-body">
    <h5 class="card-title d-flex justify-content-between">
      <a class="name" [routerLink]="['/products', product.id]" [appBackUrl]="categoryUrl">
        {{product.name | uppercaseFirstLetter}}
      </a>
      <span>
        <span class="badge badge-success cost">{{product.cost | currency}}</span>
        <span class="badge badge-warning ml-1 count">{{product.count}}</span>
      </span>
    </h5>
    <p class="card-text description">{{product.description | textOverflow}}</p>
  </div>
  <div class="card-footer d-flex justify-content-end" *ngIf="isAdmin">
    <a class="edit" [routerLink]="['/products', product.id, 'edit']">
      <button class="btn btn-primary">Edit</button>
    </a>
    <button class="delete btn btn-danger ml-1" (click)="delete()">Delete</button>
  </div>
</div>
